// pages/login/login.js
import WxValidate from '../../utils/wxValidate'
const app = getApp()
Page({
  /**
   * 页面的初始数据
   */
  data: {
    src: '/image/bisai.png',
    src1: '/image/chuangjian.png',
    src2: '/image/hei.png',
    src4: '/image/paiming.png',
    src5: '/image/shenpi.png',
    frameStyle: { useTop: true, name: '比赛管理', leftArrow: false, useBar: true },
    // 主体高度
    infoHeight: '',
    list: [],
    liststart: [],
    listend: [],
  },
   // 查询数据
   search: function () {
    var that = this;
    wx.request({
      url: `${app.globalData.publicUrl}/courtAdmin/api/match`, //接口地址
      method: 'get',
      data: {},
      success(res) {
        if (res.data.errcode == 0) {
          let datas = res.data.data
          let datass = []
          let datastart = []
          let dataend = []
          for (let i = 0; i < datas.length; i++) {
            if (datas[i].status == 0) {
              datas[i].status = '待比赛'
              datastart.push(datas[i])
            } else if (datas[i].status == 1) {
              datas[i].status = '进行中'
              datass.push(datas[i])
            } else if (datas[i].status == 2) {
              datas[i].status = '报名中'
            } else if (datas[i].status == 3) {
              datas[i].status = '已结束'
              dataend.push(datas[i])
            }
          }
          that.setData({
            list: datass,
            liststart: datastart,
            listend: dataend,
          });
        } else {
          wx.showToast({
            title: res.data.errmsg,
            icon: 'none',
            duration: 2000
          })
        }
      }
    })
  },
   // 监听用户是否登录
   watchLogin: function () {
    wx.getStorage({
      key: 'token',
      success: res => {
        console.log(res);
      },
      fail: res => {
       return wx.redirectTo({ url: '/pages/login/index', })
      }
    })
  },
  tabPath(e) {
    let query = e.detail.detail;
    if (query) wx.redirectTo({ url: `/pages/${query}/index` })
  },
  tiao: function (e) {
    let id= e.currentTarget.dataset.name;
    console.log(id);
    wx.navigateTo({
      url: '/pages/list/index?id='+id,
    })
  },
  xun: function () {
    wx.navigateTo({
      url: '/pages/match/detail',
    })
  },
  jump: function () {
    wx.navigateTo({
      url: `/pages/competition/index`,
    })
  },
  tuan: function () {
    wx.navigateTo({
      url: `/pages/ranking/index`,
    })
  },
  shen: function () {
    wx.navigateTo({
      url: `/pages/manage/index`,
    })
  },
  //标签页
  setup() {
    const activeName = ref('a');
    return { activeName };
  },
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    // 监听用户是否登录
    this.watchLogin();
    // 计算高度
    this.searchHeight()
    // 查询数据
    this.search();
  },
  // 计算高度
  searchHeight: function () {
    let frameStyle = this.data.frameStyle;
    let client = app.globalData.client;
    // 减去状态栏
    let infoHeight = client.windowHeight - (client.statusBarHeight + client.getMenu.height + (client.getMenu.top - client.statusBarHeight) * 2);
    // 是否减去底部菜单
    if (frameStyle.useBar) infoHeight = infoHeight - 50;
    if (infoHeight) this.setData({ infoHeight: infoHeight })
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})